import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

with open('requirements.txt') as requirements_file:
    requirements = requirements_file.read().strip().split()

setuptools.setup(
    install_requires=requirements,
    name="astronomer_e2e_test",
    version="0.1.3",
    author="Steven Miller",
    author_email="sjmiller609@gmail.com",
    description="Astronomer scripts for internal use",
    entry_points={
      "console_scripts": [
        "astronomer-e2e-test = " +
        "astronomer_e2e_test.astronomer_e2e_test:main",
        "astronomer-next-version = " +
        "astronomer_ci.cli:astronomer_next_version",
        "astronomer-ci = " +
        "astronomer_ci.cli:cli",
      ]
    },
    long_description=long_description,
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),
    classifiers=[
      "Programming Language :: Python :: 3",
      "License :: OSI Approved :: MIT License",
      "Operating System :: Unix",
    ],
)
